#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lttng_cpuhp_rb_backend_prepare, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_write, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_memset, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_strcpy, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_pstrcpy, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_copy_from_user_inatomic, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_strcpy_from_user_inatomic, "_gpl", "");
KSYMTAB_FUNC(_lib_ring_buffer_pstrcpy_from_user_inatomic, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_read, "_gpl", "");
KSYMTAB_FUNC(__lib_ring_buffer_copy_to_user, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_read_cstr, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_read_get_pfn, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_read_offset_address, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_offset_address, "_gpl", "");
KSYMTAB_DATA(lib_ring_buffer_nesting, "", "");
KSYMTAB_FUNC(lib_ring_buffer_reset, "_gpl", "");
KSYMTAB_FUNC(channel_reset, "_gpl", "");
KSYMTAB_FUNC(lttng_rb_set_hp_prepare, "_gpl", "");
KSYMTAB_FUNC(lttng_rb_set_hp_online, "_gpl", "");
KSYMTAB_FUNC(lttng_cpuhp_rb_frontend_dead, "_gpl", "");
KSYMTAB_FUNC(lttng_cpuhp_rb_frontend_online, "_gpl", "");
KSYMTAB_FUNC(lttng_cpuhp_rb_frontend_offline, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_set_quiescent_channel, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_clear_quiescent_channel, "_gpl", "");
KSYMTAB_FUNC(channel_create, "_gpl", "");
KSYMTAB_FUNC(channel_destroy, "_gpl", "");
KSYMTAB_FUNC(channel_get_ring_buffer, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_open_read, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_release_read, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_snapshot, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_move_consumer, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_get_subbuf, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_put_subbuf, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_switch_slow, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_switch_remote, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_switch_remote_empty, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_clear, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_lost_event_too_big, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_reserve_slow, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_check_deliver_slow, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_get_next_record, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_put_current_record, "_gpl", "");
KSYMTAB_FUNC(channel_get_next_record, "_gpl", "");
KSYMTAB_FUNC(lttng_cpuhp_rb_iter_online, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_iterator_open, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_iterator_release, "_gpl", "");
KSYMTAB_FUNC(channel_iterator_open, "_gpl", "");
KSYMTAB_FUNC(channel_iterator_release, "_gpl", "");
KSYMTAB_DATA(channel_payload_file_operations, "_gpl", "");
KSYMTAB_DATA(lib_ring_buffer_payload_file_operations, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_open, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_release, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_poll, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_ioctl, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_compat_ioctl, "_gpl", "");
KSYMTAB_DATA(lib_ring_buffer_file_operations, "_gpl", "");
KSYMTAB_FUNC(vfs_lib_ring_buffer_no_llseek, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_splice_read, "_gpl", "");
KSYMTAB_FUNC(vfs_lib_ring_buffer_splice_read, "_gpl", "");
KSYMTAB_FUNC(lib_ring_buffer_mmap, "_gpl", "");
KSYMTAB_FUNC(vfs_lib_ring_buffer_mmap, "_gpl", "");

SYMBOL_CRC(lttng_cpuhp_rb_backend_prepare, 0xe164b3e8, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_write, 0x9aeda059, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_memset, 0x5ea96c34, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_strcpy, 0x6914ce2b, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_pstrcpy, 0xe83dafaf, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_copy_from_user_inatomic, 0x86b8b66c, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_strcpy_from_user_inatomic, 0xa7bc2284, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_pstrcpy_from_user_inatomic, 0x61dc43c5, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read, 0x0040c48d, "_gpl");
SYMBOL_CRC(__lib_ring_buffer_copy_to_user, 0xd57bd505, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_cstr, 0x2cfff277, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_get_pfn, 0x3ed8005c, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_offset_address, 0x051dc0ec, "_gpl");
SYMBOL_CRC(lib_ring_buffer_offset_address, 0x0fdc9c51, "_gpl");
SYMBOL_CRC(lib_ring_buffer_nesting, 0x2776a3e5, "");
SYMBOL_CRC(lib_ring_buffer_reset, 0xdcddf70f, "_gpl");
SYMBOL_CRC(channel_reset, 0x32c51003, "_gpl");
SYMBOL_CRC(lttng_rb_set_hp_prepare, 0x6bce9446, "_gpl");
SYMBOL_CRC(lttng_rb_set_hp_online, 0x364284a0, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_dead, 0x7f91c7fd, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_online, 0x457663cb, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_offline, 0x5c601bf7, "_gpl");
SYMBOL_CRC(lib_ring_buffer_set_quiescent_channel, 0xcfff1b20, "_gpl");
SYMBOL_CRC(lib_ring_buffer_clear_quiescent_channel, 0x80abc53c, "_gpl");
SYMBOL_CRC(channel_create, 0x2adc91b9, "_gpl");
SYMBOL_CRC(channel_destroy, 0x6f0801a8, "_gpl");
SYMBOL_CRC(channel_get_ring_buffer, 0xf0de3c24, "_gpl");
SYMBOL_CRC(lib_ring_buffer_open_read, 0x4aae55c6, "_gpl");
SYMBOL_CRC(lib_ring_buffer_release_read, 0x00204f39, "_gpl");
SYMBOL_CRC(lib_ring_buffer_snapshot, 0xb1e2e0a4, "_gpl");
SYMBOL_CRC(lib_ring_buffer_move_consumer, 0xde145772, "_gpl");
SYMBOL_CRC(lib_ring_buffer_get_subbuf, 0x638f4b7b, "_gpl");
SYMBOL_CRC(lib_ring_buffer_put_subbuf, 0xde52cfef, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_slow, 0x7b609eb7, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_remote, 0x3e14cbb5, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_remote_empty, 0xd2e22c94, "_gpl");
SYMBOL_CRC(lib_ring_buffer_clear, 0x5c195190, "_gpl");
SYMBOL_CRC(lib_ring_buffer_lost_event_too_big, 0xe93c3cad, "_gpl");
SYMBOL_CRC(lib_ring_buffer_reserve_slow, 0xb675b95c, "_gpl");
SYMBOL_CRC(lib_ring_buffer_check_deliver_slow, 0x2eac3497, "_gpl");
SYMBOL_CRC(lib_ring_buffer_get_next_record, 0xb0d40c00, "_gpl");
SYMBOL_CRC(lib_ring_buffer_put_current_record, 0x0573528f, "_gpl");
SYMBOL_CRC(channel_get_next_record, 0xf3e5eaed, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_iter_online, 0x2c8748b7, "_gpl");
SYMBOL_CRC(lib_ring_buffer_iterator_open, 0x3a860678, "_gpl");
SYMBOL_CRC(lib_ring_buffer_iterator_release, 0xaa9f7161, "_gpl");
SYMBOL_CRC(channel_iterator_open, 0xbe805ff6, "_gpl");
SYMBOL_CRC(channel_iterator_release, 0x261723f9, "_gpl");
SYMBOL_CRC(channel_payload_file_operations, 0xe1ea3b44, "_gpl");
SYMBOL_CRC(lib_ring_buffer_payload_file_operations, 0xa70dc26e, "_gpl");
SYMBOL_CRC(lib_ring_buffer_open, 0x1a968946, "_gpl");
SYMBOL_CRC(lib_ring_buffer_release, 0x9dd7c45a, "_gpl");
SYMBOL_CRC(lib_ring_buffer_poll, 0xf11173c6, "_gpl");
SYMBOL_CRC(lib_ring_buffer_ioctl, 0xa4d65909, "_gpl");
SYMBOL_CRC(lib_ring_buffer_compat_ioctl, 0x53d1d029, "_gpl");
SYMBOL_CRC(lib_ring_buffer_file_operations, 0x9e000ebb, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_no_llseek, 0x36f330fa, "_gpl");
SYMBOL_CRC(lib_ring_buffer_splice_read, 0x46dd6da2, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_splice_read, 0x12a22fbd, "_gpl");
SYMBOL_CRC(lib_ring_buffer_mmap, 0xd8bb4acb, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_mmap, 0xe9e577d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb8b50ae, "__cpuhp_state_remove_instance" },
	{ 0xd8b351bb, "splice_to_pipe" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa0eae826, "smp_call_function" },
	{ 0x618911fc, "numa_node" },
	{ 0xe34d3403, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7a4c5f4a, "generic_pipe_buf_get" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xc1c7fb3b, "generic_pipe_buf_try_steal" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd1cbc23c, "add_timer_on" },
	{ 0x366f103c, "__cpuhp_state_add_instance" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xa55313b, "__alloc_pages" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x140f3f11, "nonseekable_open" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd51562b, "irq_work_sync" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x785a93b4, "si_mem_available" },
	{ 0x6dfb1d99, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9387e7fc, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3bc06d3a, "irq_work_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xf5bce1b, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8d47a0dd, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CC55C0A28F085F72DA1078");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
