#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lttng_metadata_channel_destroy, "_gpl", "");
KSYMTAB_FUNC(lttng_transport_register, "_gpl", "");
KSYMTAB_FUNC(lttng_transport_unregister, "_gpl", "");
KSYMTAB_FUNC(lttng_counter_transport_register, "_gpl", "");
KSYMTAB_FUNC(lttng_counter_transport_unregister, "_gpl", "");
KSYMTAB_DATA(lttng_dynamic_len_stack, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_probe_register, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_probe_unregister, "_gpl", "");
KSYMTAB_FUNC(lttng_event_desc_get, "_gpl", "");
KSYMTAB_FUNC(lttng_event_desc_put, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_find_context, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_get_context_index, "_gpl", "");
KSYMTAB_FUNC(lttng_kernel_get_context_field_from_index, "_gpl", "");
KSYMTAB_FUNC(lttng_add_pid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_procname_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_prio_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_nice_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vpid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_tid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vtid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_ppid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vppid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_cpu_id_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_uid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_euid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_suid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_gid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_egid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_sgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_veuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vsuid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vegid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_vsgid_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_interruptible_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_need_reschedule_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_hostname_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_callstack_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_id_tracker_lookup, "_gpl", "");
KSYMTAB_FUNC(lttng_strlen_user_inatomic, "_gpl", "");
KSYMTAB_FUNC(lttng_add_cgroup_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_ipc_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_net_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_pid_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_user_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_uts_ns_to_ctx, "_gpl", "");
KSYMTAB_FUNC(lttng_add_time_ns_to_ctx, "_gpl", "");

SYMBOL_CRC(lttng_metadata_channel_destroy, 0xf123371d, "_gpl");
SYMBOL_CRC(lttng_transport_register, 0x09d242f6, "_gpl");
SYMBOL_CRC(lttng_transport_unregister, 0xf51ac866, "_gpl");
SYMBOL_CRC(lttng_counter_transport_register, 0x65c64787, "_gpl");
SYMBOL_CRC(lttng_counter_transport_unregister, 0x426f5021, "_gpl");
SYMBOL_CRC(lttng_dynamic_len_stack, 0x93401731, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_register, 0xf0f8b50a, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_unregister, 0x2e1be46c, "_gpl");
SYMBOL_CRC(lttng_event_desc_get, 0xe7d07c97, "_gpl");
SYMBOL_CRC(lttng_event_desc_put, 0x60eaffa1, "_gpl");
SYMBOL_CRC(lttng_kernel_find_context, 0x9c670519, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_index, 0x54110a37, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_field_from_index, 0xd70bafbb, "_gpl");
SYMBOL_CRC(lttng_add_pid_to_ctx, 0x7d80aa80, "_gpl");
SYMBOL_CRC(lttng_add_procname_to_ctx, 0xf6cc5d0c, "_gpl");
SYMBOL_CRC(lttng_add_prio_to_ctx, 0x311714e7, "_gpl");
SYMBOL_CRC(lttng_add_nice_to_ctx, 0x05f95cd7, "_gpl");
SYMBOL_CRC(lttng_add_vpid_to_ctx, 0xaf118671, "_gpl");
SYMBOL_CRC(lttng_add_tid_to_ctx, 0x492a8562, "_gpl");
SYMBOL_CRC(lttng_add_vtid_to_ctx, 0x9bbba993, "_gpl");
SYMBOL_CRC(lttng_add_ppid_to_ctx, 0xe8a37e61, "_gpl");
SYMBOL_CRC(lttng_add_vppid_to_ctx, 0x53dace43, "_gpl");
SYMBOL_CRC(lttng_add_cpu_id_to_ctx, 0x07f79ca9, "_gpl");
SYMBOL_CRC(lttng_add_uid_to_ctx, 0x6eec5309, "_gpl");
SYMBOL_CRC(lttng_add_euid_to_ctx, 0x231ecc29, "_gpl");
SYMBOL_CRC(lttng_add_suid_to_ctx, 0x7385ceb7, "_gpl");
SYMBOL_CRC(lttng_add_gid_to_ctx, 0xd83f31d9, "_gpl");
SYMBOL_CRC(lttng_add_egid_to_ctx, 0x95cdaef9, "_gpl");
SYMBOL_CRC(lttng_add_sgid_to_ctx, 0xc556ac67, "_gpl");
SYMBOL_CRC(lttng_add_vuid_to_ctx, 0x90c44d55, "_gpl");
SYMBOL_CRC(lttng_add_veuid_to_ctx, 0x413df9e8, "_gpl");
SYMBOL_CRC(lttng_add_vsuid_to_ctx, 0x11a6fb76, "_gpl");
SYMBOL_CRC(lttng_add_vgid_to_ctx, 0x26172f85, "_gpl");
SYMBOL_CRC(lttng_add_vegid_to_ctx, 0xf7ee9b38, "_gpl");
SYMBOL_CRC(lttng_add_vsgid_to_ctx, 0xa77599a6, "_gpl");
SYMBOL_CRC(lttng_add_interruptible_to_ctx, 0x61378193, "_gpl");
SYMBOL_CRC(lttng_add_need_reschedule_to_ctx, 0x7a6525cf, "_gpl");
SYMBOL_CRC(lttng_add_hostname_to_ctx, 0x63e4e67e, "_gpl");
SYMBOL_CRC(lttng_add_callstack_to_ctx, 0x51aebf89, "_gpl");
SYMBOL_CRC(lttng_id_tracker_lookup, 0xfbf4a533, "_gpl");
SYMBOL_CRC(lttng_strlen_user_inatomic, 0xce58fba5, "_gpl");
SYMBOL_CRC(lttng_add_cgroup_ns_to_ctx, 0x09b1ed06, "_gpl");
SYMBOL_CRC(lttng_add_ipc_ns_to_ctx, 0x02cd08d4, "_gpl");
SYMBOL_CRC(lttng_add_net_ns_to_ctx, 0x4366c2aa, "_gpl");
SYMBOL_CRC(lttng_add_pid_ns_to_ctx, 0x22b92814, "_gpl");
SYMBOL_CRC(lttng_add_user_ns_to_ctx, 0xce0b5d80, "_gpl");
SYMBOL_CRC(lttng_add_uts_ns_to_ctx, 0xa5300939, "_gpl");
SYMBOL_CRC(lttng_add_time_ns_to_ctx, 0x0037929a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x673aac60, "from_kuid_munged" },
	{ 0x6dfb1d99, "kmalloc_trace" },
	{ 0x5c601bf7, "lttng_cpuhp_rb_frontend_offline" },
	{ 0x50d0c7f6, "perf_event_release_kernel" },
	{ 0x46dd6da2, "lib_ring_buffer_splice_read" },
	{ 0x754d539c, "strlen" },
	{ 0xe164b3e8, "lttng_cpuhp_rb_backend_prepare" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91501912, "lttng_kprobes_destroy_event_private" },
	{ 0xb29155a2, "lttng_uprobes_destroy_event_notifier_private" },
	{ 0x346b2b03, "for_each_kernel_tracepoint" },
	{ 0xd1c76893, "wrapper_kallsyms_lookup_name" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x363a70e8, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe7f4d70, "lttng_uprobes_register_event" },
	{ 0x9387e7fc, "kmalloc_caches" },
	{ 0x4f2b701e, "tracepoint_probe_register" },
	{ 0xa6f4443a, "kmem_cache_destroy" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3d04f415, "lttng_kretprobes_destroy_private" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9b27c0ca, "tracepoint_probe_unregister" },
	{ 0xf4e89c78, "get_user_pages_fast" },
	{ 0x573528f, "lib_ring_buffer_put_current_record" },
	{ 0x3df09125, "try_module_get" },
	{ 0x6287ee17, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb834ff4, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a968946, "lib_ring_buffer_open" },
	{ 0x27809bf3, "lttng_kretprobes_event_enable_state" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfa73def2, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73d944d0, "perf_event_create_kernel_counter" },
	{ 0xeaeb852e, "lttng_kprobes_destroy_event_notifier_private" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xdc4f40f4, "task_active_pid_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xefa2c27d, "register_tracepoint_module_notifier" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3bc06d3a, "irq_work_queue" },
	{ 0x714ee46d, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa4d65909, "lib_ring_buffer_ioctl" },
	{ 0xe1c31e73, "lttng_kprobes_register_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5bce1b, "pcpu_hot" },
	{ 0xb0a73332, "seq_lseek" },
	{ 0xa09d334f, "__put_devmap_managed_page_refs" },
	{ 0x640592e6, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7aa1bfc5, "kmem_cache_create" },
	{ 0xbc072131, "lttng_clock_unref" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7d8d107f, "lttng_uprobes_destroy_event_private" },
	{ 0x7f91c7fd, "lttng_cpuhp_rb_frontend_dead" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb8b50ae, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x84d63120, "wrapper_get_bootid" },
	{ 0xa916b694, "strnlen" },
	{ 0x9332b62, "kmalloc_node_trace" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa03b0f95, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7b609eb7, "lib_ring_buffer_switch_slow" },
	{ 0x8dbc9d0b, "module_put" },
	{ 0x53d1d029, "lib_ring_buffer_compat_ioctl" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x52f30bf0, "lttng_clock_ref" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcebd28cb, "__task_pid_nr_ns" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1e538f56, "fput" },
	{ 0x353cfc6a, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd8bb4acb, "lib_ring_buffer_mmap" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdb1139, "lttng_uprobes_unregister_event" },
	{ 0x457663cb, "lttng_cpuhp_rb_frontend_online" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xed1ce11, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x366f103c, "__cpuhp_state_add_instance" },
	{ 0xc677147e, "lttng_last_tsc" },
	{ 0xe9cbfe69, "lttng_kretprobes_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x29483233, "lttng_statedump_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdfa795f6, "lttng_kprobes_unregister_event" },
	{ 0x9dd7c45a, "lib_ring_buffer_release" },
	{ 0x364284a0, "lttng_rb_set_hp_online" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf1672b7f, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x56842005, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x589788b1, "wrapper_get_pfnblock_flags_mask_init" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2333a9db, "pv_ops" },
	{ 0x8fac560d, "seq_read" },
	{ 0xdd51562b, "irq_work_sync" },
	{ 0x999e8297, "vfree" },
	{ 0x36f330fa, "vfs_lib_ring_buffer_no_llseek" },
	{ 0x9e000ebb, "lib_ring_buffer_file_operations" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x371bf8e0, "init_user_ns" },
	{ 0xb0d40c00, "lib_ring_buffer_get_next_record" },
	{ 0x2776a3e5, "lib_ring_buffer_nesting" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3e14cbb5, "lib_ring_buffer_switch_remote" },
	{ 0xe5dcd924, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d13464b, "remove_proc_entry" },
	{ 0xcfff1b20, "lib_ring_buffer_set_quiescent_channel" },
	{ 0xddbb5996, "seq_printf" },
	{ 0xd57bd505, "__lib_ring_buffer_copy_to_user" },
	{ 0xce1f9e2a, "lttng_uprobes_event_add_callsite" },
	{ 0x6362023d, "lttng_uprobes_register_event_notifier" },
	{ 0x7dda30af, "unregister_tracepoint_module_notifier" },
	{ 0x30b5353, "lttng_kprobes_register_event_notifier" },
	{ 0x7a1602a1, "boot_cpu_data" },
	{ 0xb5a20e64, "lttng_uprobes_unregister_event_notifier" },
	{ 0xd1bab0d0, "lttng_trace_clock" },
	{ 0x2c8748b7, "lttng_cpuhp_rb_iter_online" },
	{ 0xcd52c7b, "lttng_kprobes_unregister_event_notifier" },
	{ 0x6bce9446, "lttng_rb_set_hp_prepare" },
	{ 0xa305f33d, "lttng_kretprobes_unregister" },
	{ 0x662d6b80, "seq_open" },
	{ 0x80abc53c, "lib_ring_buffer_clear_quiescent_channel" },
	{ 0x8d47a0dd, "module_layout" },
};

MODULE_INFO(depends, "lttng-lib-ring-buffer,lttng-kprobes,lttng-uprobes,lttng-wrapper,lttng-kretprobes,lttng-clock,lttng-statedump");


MODULE_INFO(srcversion, "5D7B1A4474C88B52E187EF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
